microsoft.aspnetcore.mvc.webapicompatshim vulnerabilities

Provides compatibility in ASP.NET Core MVC with ASP.NET Web API 2 to simplify migration of existing Web API implementations. Commonly used types: System.Web.Http.ApiController This package was built from the source code at https://github.com/aspnet/Mvc/tree/a6199bbfbab05583f987bae322fb04566841aaea

Direct Vulnerabilities

Known vulnerabilities in the microsoft.aspnetcore.mvc.webapicompatshim package. This does not include vulnerabilities belonging to this package’s dependencies.

Automatically find and fix vulnerabilities affecting your projects. Snyk scans for vulnerabilities and provides fixes for free.
Fix for free
Vulnerability Vulnerable Version
  • M
Authentication Bypass

[1,1.0.4) [1.1,1.1.3)
  • H
Privilege Escalation

[1,1.0.4) [1.1,1.1.3)
  • H
Improper Certificate Validation

[1,1.0.4) [1.1,1.1.3)
  • H
Denial of Service (DoS)

[1,1.0.4) [1.1,1.1.3)
  • H
Privilege Escalation

(,1.0.1)